Bug 739129 - Review Request: jabberpy - Python xmlstream and jabber IM protocol libs
Summary: Review Request: jabberpy - Python xmlstream and jabber IM protocol libs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 15:24 UTC by Milan Zázrivec
Modified: 2011-10-03 18:10 UTC (History)
4 users (show)

Fixed In Version: jabberpy-0.5-0.23.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 09:23:21 UTC
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Milan Zázrivec 2011-09-16 15:24:52 UTC
SPEC: http://mzazrive.fedorapeople.org/jabberpy.spec

SRPM: http://mzazrive.fedorapeople.org/jabberpy-0.5-0.22.src.rpm

Description:
jabber.py is a Python module for the jabber instant messaging
protocol. jabber.py deals with the xml parsing and socket code,
leaving the programmer to concentrate on developing quality jabber
based applications with Python.

Comment 1 Miroslav Suchý 2011-09-16 15:38:51 UTC
This package was already in Fedora and has been orphaned, now is deprecated so it must pass again the review.


==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines   including the Python specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     tested in: f16/koji
     http://koji.fedoraproject.org/koji/taskinfo?taskID=3355527
 [x] Rpmlint output:
jabberpy.noarch: W: spelling-error Summary(en_US) xmlstream -> millstream
jabberpy.noarch: W: spelling-error Summary(en_US) libs -> lobs, lib, lbs
jabberpy.noarch: W: spelling-error %description -l en_US py -> pt, p, y
jabberpy.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
jabberpy.src: W: spelling-error Summary(en_US) xmlstream -> millstream
jabberpy.src: W: spelling-error Summary(en_US) libs -> lobs, lib, lbs
jabberpy.src: W: spelling-error %description -l en_US py -> pt, p, y
jabberpy.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
jabberpy.src: W: invalid-url Source0: http://downloads.sf.net/sourceforge/jabberpy/jabberpy-0.5-0.tar.gz <urlopen error timed out>
2 packages and 0 specfiles checked; 0 errors, 9 warnings.
I waive the invalid-url warning as if I go there manualy the file is downloaded without problem.
 [x] Package is not relocatable.
 [x] Buildroot is correct
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      Not needed for Fedora, but it is intended to go to Epel, where it is still needed.
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
$ shasum /tmp/jabberpy-0.5-0.tar.gz ~/rpmbuild/SOURCES/jabberpy-0.5-0.tar.gz 
10bbc72c280e6c21a1101ccf3a227331b19bc3b6  /tmp/jabberpy-0.5-0.tar.gz
10bbc72c280e6c21a1101ccf3a227331b19bc3b6  /home/msuchy/rpmbuild/SOURCES/jabberpy-0.5-0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 0.5
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the tests pass


================
*** APPROVED  ***
================

Comment 2 Milan Zázrivec 2011-09-16 15:46:19 UTC
Package Change Request
======================
Package Name: jabberpy
New Branches: F-16, F-15, EL-5, EL-6
Owners: mzazrive
InitialCC:


This package has been deprecated in Fedora-16 (FTBFS), though we need
this package for Spacewalk to install successfully on F-16 and need
to get it back to Fedora (and I want to maintain it).

Comment 3 Gwyn Ciesla 2011-09-17 02:03:12 UTC
Git done (by process-git-requests).

Comment 4 Gwyn Ciesla 2011-09-17 02:05:53 UTC
Unretired retired branches, please take ownership in pkgdb.

Comment 5 Fedora Update System 2011-09-20 14:37:16 UTC
jabberpy-0.5-0.22.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jabberpy-0.5-0.22.fc16

Comment 6 Fedora Update System 2011-09-23 09:59:37 UTC
jabberpy-0.5-0.23.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jabberpy-0.5-0.23.fc16

Comment 7 Fedora Update System 2011-10-03 18:10:06 UTC
jabberpy-0.5-0.23.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.